<div dir="ltr"><div class="markdown-here-wrapper" id="markdown-here-wrapper-732374" style><p style="margin:1.2em 0px!important">Hi Tim,</p>
<p style="margin:1.2em 0px!important">I frequently use PySide on OS X. The best way to install and use it, in my opinion, is the following:</p>
<ul style="margin:1.2em 0px;padding-left:2em">
<li style="margin:0.5em 0px"><p style="margin:1.2em 0px!important;margin:0.5em 0px!important">Install <a href="http://brew.sh/">homebrew</a> and run <code style="font-size:0.85em;font-family:Consolas,Inconsolata,Courier,monospace;margin:0px 0.15em;padding:0px 0.3em;white-space:pre-wrap;border:1px solid rgb(234,234,234);background-color:rgb(248,248,248);border-top-left-radius:3px;border-top-right-radius:3px;border-bottom-right-radius:3px;border-bottom-left-radius:3px;display:inline">brew install pyside pyside-tools</code>. This will automatically download and compile Qt from source as well.</p>


</li>
<li style="margin:0.5em 0px"><p style="margin:1.2em 0px!important;margin:0.5em 0px!important">Create a virtualenv for your project.</p>
</li>
<li style="margin:0.5em 0px">Write a <a href="http://docs.python.org/2/library/site.html">PTH file</a> to the <code style="font-size:0.85em;font-family:Consolas,Inconsolata,Courier,monospace;margin:0px 0.15em;padding:0px 0.3em;white-space:pre-wrap;border:1px solid rgb(234,234,234);background-color:rgb(248,248,248);border-top-left-radius:3px;border-top-right-radius:3px;border-bottom-right-radius:3px;border-bottom-left-radius:3px;display:inline">site-packages</code> directory of your virtualenv that points to your PySide installation. On my system the path is <code style="font-size:0.85em;font-family:Consolas,Inconsolata,Courier,monospace;margin:0px 0.15em;padding:0px 0.3em;white-space:pre-wrap;border:1px solid rgb(234,234,234);background-color:rgb(248,248,248);border-top-left-radius:3px;border-top-right-radius:3px;border-bottom-right-radius:3px;border-bottom-left-radius:3px;display:inline">/usr/local/lib/python2.7/site-packages</code>. With that, you should be able to run:<pre style="font-size:0.85em;font-family:Consolas,Inconsolata,Courier,monospace;font-size:1em;line-height:1.2em;margin:1.2em 0px">

<code class="language-bash" style="font-size:0.85em;font-family:Consolas,Inconsolata,Courier,monospace;margin:0px 0.15em;padding:0px 0.3em;white-space:pre-wrap;border:1px solid rgb(234,234,234);background-color:rgb(248,248,248);border-top-left-radius:3px;border-top-right-radius:3px;border-bottom-right-radius:3px;border-bottom-left-radius:3px;display:inline;white-space:pre;overflow:auto;border-top-left-radius:3px;border-top-right-radius:3px;border-bottom-right-radius:3px;border-bottom-left-radius:3px;border:1px solid rgb(204,204,204);padding:0.5em 0.7em;display:block;padding:0.5em;color:rgb(51,51,51);background-color:rgb(248,248,255);background-repeat:initial initial">python -c <span class="string" style="color:rgb(221,17,68)">'import PySide; print PySide.__version__'</span></code></pre>


</li>
</ul>
<p style="margin:1.2em 0px!important">To distribute our PySide app we use <a href="http://pythonhosted.org/py2app/">py2app</a> to create an app bundle, <a href="https://bitbucket.org/mkae/makeicns">makeicns</a> to create our application icon,  and <a href="https://github.com/andreyvit/yoursway-create-dmg">yoursway-create-dmg</a> to create a fancy disk image. They are not without issues but for the most part work well. Our app distributes without any external dependencies.</p>


<p style="margin:1.2em 0px!important">I canít comment on PySide with OS 10.9 Mavericks as I am still on OS 10.6 Snow Leopard (I know, I know). Honestly, the reason I havenít updated is because I figured everything would break. Here are my versions:</p>


<ul style="margin:1.2em 0px;padding-left:2em">
<li style="margin:0.5em 0px">Qt 4.8.5</li>
<li style="margin:0.5em 0px">PySide 1.2.0</li>
<li style="margin:0.5em 0px">Python 2.7.5</li>
<li style="margin:0.5em 0px">Mac OS 10.6 Snow Leopard</li>
<li style="margin:0.5em 0px">py2app 0.7.3</li>
</ul>
<p style="margin:1.2em 0px!important">Please let me know if you need any help installing or distributing your application. Our project is closed-source but I would be happy to share our distribution code with you.</p>
</div><div></div><div class="gmail_extra">Cheers,<br clear="all"><div><div><br></div><div>--</div><div>Sean Fisk</div></div>
<br><br><div class="gmail_quote">On Fri, Nov 8, 2013 at 8:47 PM, Tim Doty <span dir="ltr"><<a href="mailto:thoromyr@mac.com" target="_blank">thoromyr@mac.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">

PySide 1.2.1 does not appear to be available for OS X. That is, prebuilt is only on Windows, linux uses whatever distros package management, and OS X users are expected to get the Qt developer source and compile everything from scratch. At least, the only 1.2.1 I can find presents it that way [<a href="https://pypi.python.org/pypi/PySide" target="_blank">https://pypi.python.org/pypi/PySide</a>]<br>


<br>
PySide 1.1.1 appears to be the last packaged for OS X. [<a href="https://qt-project.org/wiki/PySide_Binaries_MacOSX" target="_blank">https://qt-project.org/wiki/PySide_Binaries_MacOSX</a>] Unfortunately it doesnít appear to be compatible with OS X 10.9 inasmuch as PySide was installed and working until I updated to 10.9.<br>


<br>
Is anyone using PySide on OS X? On OS X 10.9? Although theoretically I could compile Qt and PySide that isnít a particularly good solution when the apps I write need to be able to run on other systems ó for better or worse I lack the requisite knowledge to package up Qt and PySide for redistribution.<br>


<br>
Is PySide just not widely enough used that lack of OS X support doesnít matter?<br>
_______________________________________________<br>
PySide mailing list<br>
<a href="mailto:PySide@qt-project.org">PySide@qt-project.org</a><br>
<a href="http://lists.qt-project.org/mailman/listinfo/pyside" target="_blank">http://lists.qt-project.org/mailman/listinfo/pyside</a><br>
</blockquote></div><br></div></div>